Subject: Re: Booting Linux Kernel without bootloader

From: bennett78 <[email-masked]>
Date: Fri, 28 Jul 2006 08:02:49 -0600

David H. Lynch Jr. wrote:

> Clint Thomas wrote:
>
>> Hey guys,
>>
>> I have gone through the Linuxppc embedded and dev lists for 
>> information related to what I am trying to do, but was unable to find 
>> exactly what i'm looking for.
>>
>> Basically, the system I want linux running on does not require the 
>> initialization of hardware that U-boot provides, or at least it does 
>> not need it to boot the linux kernel. I want to load an uncompressed 
>> linux kernel into memory and start the execution of the kernel, 
>> without using any kind of bootloader. Is this possible? Or does linux 
>> need some kind of firmware or other software to tell it to start 
>> executing? Thanks for any info you might have.
>
>
>     You system powers on. It starts executing whatever is at the reset 
> vector, Something has to get you from the ppc powering up and going to 
> never never land, to starting to execute Linux.
>     The steps to get from Power on to booting Linux may not be that 
> complicated, Much of what needs to be done can likely be included as 
> part of the code for your board in arch/ppc/boot/simple.
>     But something still has to be done.
>
>     In my instance I am dealing with a Xilinx V4 (not an ML403). A 
> small "monitor" program is automatically loaded as part of the FPGA 
> .bit image. On power on it starts executing.

Curious, how long does the V4 take to load up it's brain? (using a 
serial EEprom?)

>     It sets up the CPU, cache, and very minimal hardware 
> configuration, and then loads Linux out of flash and executes it.
>    
>     Linux does not have to have alot setup to boot. But something has 
> to to some minimal initial setup, get Linux into the memory of your 
> system, and jump to it.
>
>>  
>> Clinton Thomas
>> [email-masked]
>>  
>>
>>------------------------------------------------------------------------
>>
>>_______________________________________________
>>Linuxppc-embedded mailing list
>>[email-masked]
>>https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>>
>
>
>-- 
>Dave Lynch 					  	    DLA Systems
>Software Development:  				         Embedded Linux
>717.627.3770 	       [email-masked] 	  http://www.dlasys.net
>fax: 1.253.369.9244 			           Cell: 1.717.587.7774
>Over 25 years' experience in platforms, languages, and technologies too numerous to list.
>
>"Any intelligent fool can make things bigger and more complex... It takes a touch of genius - and a lot of courage to move in the opposite direction."
>Albert Einstein
>  
>
>------------------------------------------------------------------------
>
>_______________________________________________
>Linuxppc-embedded mailing list
>[email-masked]
>https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>

Frank Bennett

*/Technical Contractor/*

/Triad Systems Engineering
200 West Mountain Avenue, Suite 103C
Ft. Collins, CO 80521
/http://www.traidsyseng.com <http://www.triadsyseng.com>
[email-masked] <mailto:[email-masked]>/
/office: 970-493-7586
cell:   970-402-9269

"I think there's a world market for about five computers."
        -- attr. Thomas J. Watson (Chairman of the Board, IBM), 1943